-- 钓鱼-渔具属性总览
Lua_GoFishingGearAllAttrWindow = class("Lua_GoFishingGearAllAttrWindow", Lua_Window);
function Lua_GoFishingGearAllAttrWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GoFishingGearAllAttrWindow";
	self.skinName = "GoFishingGearAllAttrWindow_skin";
	self.layer = MainWinDefine.NORMAL_TOP_LAYER;
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GoFishingGearAllAttrWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.fishGearPropList = Lua_DragList.new(self.content, 620, 420, Lua_AxisDefine.Vertical);
	self.fishGearPropList:setListCell(Lua_GoFishingGearAllAttrItem, 620, 39, 1);
	self.fishGearPropList:setCellSpacing(0, 5);
	self.fishGearPropList:setLocation(0, -20, 0);
	self.fishGearPropList:setArrayData(DataCenter.goFishingData.allGearAttrArr);
end

function Lua_GoFishingGearAllAttrWindow:dispose()
	if self.fishGearPropList ~= nil then
		self.fishGearPropList:dispose();
		self.fishGearPropList = nil;
	end
	self:superCall("dispose");
end










Lua_GoFishingGearAllAttrItem = class("Lua_GoFishingGearAllAttrItem", Lua_ListCell);
function Lua_GoFishingGearAllAttrItem:ctor(p)
	self:superCall("ctor", p, "GoFishingGearAllAttrItem_skin");
end

function Lua_GoFishingGearAllAttrItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_GoFishingGearAllAttrItem:setData(data)
	if data == nil then
		return;
	end
	self.nameTxt.text = data.show_name;
	self.valueTxt.text = LanUtil.formateStr(794038, data.showValue);
end

function Lua_GoFishingGearAllAttrItem:dispose()
	self:superCall("dispose");
end