-- 钓鱼-藏品背包
Lua_GoFishingCollectionBagWindow = class("Lua_GoFishingCollectionBagWindow", Lua_Window);
function Lua_GoFishingCollectionBagWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GoFishingCollectionBagWindow";
	self.skinName = "GoFishingCollectionBagWindow_skin";
	self.layer = MainWinDefine.NORMAL_TOP_LAYER;
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GoFishingCollectionBagWindow:buildShowItem()
	self:superCall("buildShowItem");

	local arr = DataCenter.packData:getUnIdList(Lua_PackDefine.GOFISHING, Lua_PackDefine.GOFISHING_COLLECTION);
	self.collectionList = Lua_DragList.new(self.content, 616, 740, Lua_AxisDefine.Vertical);
	self.collectionList:setListCell(Lua_GoFishingCollectionBagItem, 124, 124, 5);
	self.collectionList:setCellSpacing(40, 24);
	self.collectionList:setLocation(0, -38, 0);
	self.collectionList:setArrayData(arr);
end

function Lua_GoFishingCollectionBagWindow:dispose()
	if self.collectionList ~= nil then
		self.collectionList:dispose();
		self.collectionList = nil;
	end
	self:superCall("dispose");
end










Lua_GoFishingCollectionBagItem = class("Lua_GoFishingCollectionBagItem", Lua_ListCell);
function Lua_GoFishingCollectionBagItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_GoFishingCollectionBagItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
end

function Lua_GoFishingCollectionBagItem:setData(data)
	if data == nil then
		return;
	end
	local tvo = DataCenter.packData:getItemVoByUnId(data);
	self.itemIcon:setData(tvo);
end

function Lua_GoFishingCollectionBagItem:onPressClick()
	self.itemIcon:onItemClick();
end

function Lua_GoFishingCollectionBagItem:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end