-- 钓鱼-渔具进阶成功
checkRequire("Lua_GoFishingGearItem");
Lua_GoFishingGearAdvancedSucceedWindow = class("Lua_GoFishingGearAdvancedSucceedWindow", Lua_Window);
function Lua_GoFishingGearAdvancedSucceedWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GoFishingGearAdvancedSucceedWindow";
	self.skinName = "GoFishingGearAdvancedSucceedWindow_skin";
	self.layer = MainWinDefine.NORMAL_TOP_LAYER;
	self.isFullSizeWin = true;
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GoFishingGearAdvancedSucceedWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.preItemIcon = Lua_GoFishingGearItem.new(self.content);
	self.preItemIcon:setCanClick(true);
	self.preItemIcon:setLocation(-131, 81, 0);

	self.curItemIcon = Lua_GoFishingGearItem.new(self.content);
	self.curItemIcon:setCanClick(true);
	self.curItemIcon:setLocation(131, 81, 0);

	self.fishGearPropList = Lua_DragList.new(self.content, 720, 114, Lua_AxisDefine.Vertical);
	self.fishGearPropList:setListCell(Lua_GoFishingGearAdvancedSucceedItem, 720, 36, 1);
	self.fishGearPropList:setCellSpacing(0, 3);
	self.fishGearPropList:setLocation(0, -55, 0);
end

function Lua_GoFishingGearAdvancedSucceedWindow:showWin(param)
	self:superCall("showWin", param);

	local gearConfig = DataCenter.goFishingUtil:getTheFishingGearInfo(param);
	self.preItemIcon:setData(param);
	self.preItemIcon:setShowFishGearLv(false);
	self.curItemIcon:setData(gearConfig.next_level_id);
	self.curItemIcon:setShowFishGearLv(false);

	local dic = gearConfig.base_prop;
	local nextGearConfig = DataCenter.goFishingUtil:getTheFishingGearInfo(gearConfig.next_level_id);
	local nextDic = nextGearConfig.base_prop;
	local arr = DataCenter.attributesUtil:getAttrArrByDic(dic, nextDic);
	self.fishGearPropList:setArrayData(arr);
end

function Lua_GoFishingGearAdvancedSucceedWindow:dispose()
	if self.preItemIcon ~= nil then
		self.preItemIcon:dispose();
		self.preItemIcon = nil;
	end
	if self.curItemIcon ~= nil then
		self.curItemIcon:dispose();
		self.curItemIcon = nil;
	end
	if self.fishGearPropList ~= nil then
		self.fishGearPropList:dispose();
		self.fishGearPropList = nil;
	end
	self:superCall("dispose");
end










Lua_GoFishingGearAdvancedSucceedItem = class("Lua_GoFishingGearAdvancedSucceedItem", Lua_ListCell);
function Lua_GoFishingGearAdvancedSucceedItem:ctor(p)
	self:superCall("ctor", p, "GoFishingGearAdvancedSucceedItem_skin");
end

function Lua_GoFishingGearAdvancedSucceedItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_GoFishingGearAdvancedSucceedItem:setData(data)
	self._data = data
	if data == nil then
		return;
	end
	self.nameTxt.text = data.show_name;
	self.curLvAttrTxt.text = data.showValue;
	self.nextLvAttrTxt.text = data.showNextValue;
end

function Lua_GoFishingGearAdvancedSucceedItem:dispose()
	self:superCall("dispose");
end